<?php

namespace common\logic\Feature\Feature\Service;

use common\logic\AbstractDefinition;
use common\logic\Feature\Feature\Model\Feature;

class FeatureDefinition extends AbstractDefinition
{
    public function getEntityFqcn(): string
    {
        return Feature::class;
    }

    public function getFeaturesBase(): array
    {
        return [
            Feature::ALIAS_CONTACT => $this->buildFeatureArray('Formulaire de contact', true, false),
            Feature::ALIAS_PRODUCT_PRICE_IMPORT => $this->buildFeatureArray('Produits : import prix', true, false),
            Feature::ALIAS_ONLINE_PAYMENT => $this->buildFeatureArray('Paiement en ligne', true, false),
        ];
    }

    public function buildFeatureArray(string $name, bool $status, bool $isPaidFeature): array
    {
        return [
            'name' => $name,
            'status' => $status,
            'is_paid_feature' => $isPaidFeature
        ];
    }
}